## ros-indigo-razer-hydra 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(razer_hydra)

find_package(catkin REQUIRED COMPONENTS
             std_msgs geometry_msgs message_generation
             genmsg roscpp tf)

find_package(PkgConfig)
pkg_check_modules(PC_LIBUSB REQUIRED libusb-1.0)

add_message_files(
  FILES
  Hydra.msg
  HydraPaddle.msg
  HydraRaw.msg
)

## Generate added messages and services with any dependencies listed here
 generate_messages(
   DEPENDENCIES
   geometry_msgs
   std_msgs
 )

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES razer_hydra
    CATKIN_DEPENDS std_msgs geometry_msgs tf message_runtime
)
include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(nodes)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install udev rules
option(${PROJECT_NAME}_INSTALL_UDEV_RULES "Install udev rules for Razer Hydra" ON)
if (${PROJECT_NAME}_INSTALL_UDEV_RULES)
  install (
    FILES config/99-hydra-indigo.rules
    DESTINATION "/etc/udev/rules.d"
    COMPONENT "udev")
else ()
  message (STATUS "Udev rules for Razer Hydra not being installed, install them with -DINSTALL_RAZER_HYDRA_UDEV_RULES=ON")
endif ()

=== nodes/CMakeLists.txt ===
add_executable(hydra_node hydra_node.cpp)
add_dependencies(hydra_node razer_hydra)

target_link_libraries(hydra_node razer_hydra ${catkin_LIBRARIES})

install(TARGETS hydra_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== src/CMakeLists.txt ===
add_library(razer_hydra hydra.cpp)
add_dependencies(razer_hydra razer_hydra_gencpp)

target_link_libraries(razer_hydra ${catkin_LIBRARIES} ${PC_LIBUSB_LIBRARIES})

install(TARGETS razer_hydra
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== tools/CMakeLists.txt ===
set(PRINT_NODE ${PROJECT_NAME}_print)
add_executable(${PRINT_NODE} print.cpp)
add_dependencies(${PRINT_NODE} razer_hydra)
target_link_libraries(${PRINT_NODE} razer_hydra ${catkin_LIBRARIES})
set_target_properties(${PRINT_NODE} PROPERTIES OUTPUT_NAME print)

set(RECORD_NODE ${PROJECT_NAME}_record)
add_executable(${RECORD_NODE} record.cpp)
add_dependencies(${RECORD_NODE} razer_hydra)
target_link_libraries(${RECORD_NODE} razer_hydra ${catkin_LIBRARIES})
set_target_properties(${RECORD_NODE} PROPERTIES OUTPUT_NAME record)

install(TARGETS ${PRINT_NODE} ${RECORD_NODE}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-razer-hydra (0.2.1-0trusty) trusty; urgency=high

  * setting indigo-devel to 0.2.x tags
  * Merge branch 'hydro-devel' into indigo-devel
  * fix CMake formatting
  * Merge branch 'hydro-devel' into indigo-devel
  * change ROS_INFO to ROS_DEBUG
    Conflicts:
    src/hydra.cpp
  * Merge commit 'fbced1dda9972f3c54ccee8c61dae6993285ed8b' into hydro-devel
  * Merge pull request #6 from jhu-lcsr-forks/walltime-fix
    switching driver time to use WallTime to enable using the driver with sim time.
  * Merge branch 'cottsay-hydro-devel' into indigo-devel
  * fix license tag in package.xml
  * switching driver time to use WallTime to enable using the driver with sim time.
  * Use "Public Domain" license for razer_hydra
    Source files in the project state that the code is Public Domain
  * Contributors: Adam Leeper, Kel Guerin, Scott K Logan, Tully Foote

 -- Adam Leeper <adamleeper@gmail.com>  Thu, 29 May 2014 07:00:00 -0000

ros-indigo-razer-hydra (0.0.5-0trusty) trusty; urgency=high

  * actually updated the changelog

 -- Adam Leeper <adamleeper@gmail.com>  Thu, 04 Jul 2013 07:00:00 -0000

ros-indigo-razer-hydra (0.0.4-0trusty) trusty; urgency=high

  * adds pkg-config to package.xml

 -- Adam Leeper <adamleeper@gmail.com>  Thu, 04 Jul 2013 07:00:00 -0000

ros-indigo-razer-hydra (0.0.3-0trusty) trusty; urgency=high

  * fixed libusb depends

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 02 Jul 2013 07:00:00 -0000

ros-indigo-razer-hydra (0.0.2-0trusty) trusty; urgency=high

  * adds changelog
  * fixes launch files
  * fixes install paths

 -- Adam Leeper <adamleeper@gmail.com>  Mon, 01 Jul 2013 07:00:00 -0000

ros-indigo-razer-hydra (0.0.1-0trusty) trusty; urgency=high

  * implemented filters
  * adds offset pivot and grab frame
  * adds gencpp build dependency to target
  * fixed node name in launch file
  * updated to new message name
  * adds new udev rules (courtesy Ingo Kresse)
  * initial port from jks-ros-pkg

 -- Adam Leeper <adamleeper@gmail.com>  Fri, 21 Jun 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-razer-hydra
Section: misc
Priority: extra
Maintainer: Adam Leeper <adamleeper@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, pkg-config, ros-indigo-catkin, ros-indigo-genmsg, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://www.ros.org/wiki/razer_hydra
Standards-Version: 3.9.2

Package: ros-indigo-razer-hydra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, pkg-config, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf
Description: Unofficial driver and ROS node for Razer Hydra

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-razer-hydra//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
